Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be unavailable on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1484062 - Could not execute switch_branch: 'kojiconfig'
Summary: Could not execute switch_branch: 'kojiconfig'
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: fedpkg
Version: 26
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: cqi
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-08-22 15:10 UTC by Honza Horak
Modified: 2017-08-26 19:53 UTC (History)
6 users (show)

Fixed In Version: fedpkg-1.29-2.fc26
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-08-26 19:53:38 UTC
Type: Bug


Attachments (Terms of Use)

Description Honza Horak 2017-08-22 15:10:59 UTC
Description of problem:
When running fedpkg switch-branch, weird error is printed.

Version-Release number of selected component (if applicable):
fedpkg-1.29-1.fc26.noarch

How reproducible:
every-time

Steps to Reproduce:
1. fedpkg switch-branch

Actual results:
Could not execute switch_branch: 'kojiconfig'

Expected results:
list of branches is printed

Additional info:
works fine with latest stable version fedpkg-1.28-1.fc26.noarch

Comment 1 Honza Horak 2017-08-22 15:14:46 UTC
Version of rpkg:
# rpm -q  python2-rpkg
python2-rpkg-1.49-6.fc26.noarch

Comment 2 cqi 2017-08-22 16:24:59 UTC
Hi Honza, fedpkg-1.29 should work with python2-rpkg-1.50. This is why these two versions are in same bodhi update for release. Meanwhile, there is already a patch for fedpkg to require python2-rpkg-1.50 as the minimal version. At this moment, please also upgrade rpkg to 1.50. Sorry for inconvenience.

Comment 3 Fedora Update System 2017-08-23 05:04:50 UTC
fedpkg-1.29-2.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-b0040e439f

Comment 4 Honza Horak 2017-08-23 06:03:29 UTC
Thanks, with python2-rpkg-1.50 installed it works.

Comment 5 Fedora Update System 2017-08-24 01:50:54 UTC
fedpkg-1.29-2.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-b0040e439f

Comment 6 Fedora Update System 2017-08-26 19:53:38 UTC
fedpkg-1.29-2.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.